#### 3.3.3 Selecting specific standards ¶

The specific language standard used by GCC can be controlled with the `-std` option. The following C language standards are supported:

`-std=c89` or `-std=iso9899:1990`

  The original ANSI/ISO C language standard (ANSI X3.159-1989, ISO/IEC 9899:1990). GCC incorporates the corrections in the two ISO Technical Corrigenda to the original standard.

`-std=iso9899:199409`

  The ISO C language standard with ISO Amendment 1, published in 1994. This amendment was mainly concerned with internationalization, such as adding support for multibyte characters to the C library.

`-std=c99` or `-std=iso9899:1999`

  The revised ISO C language standard, published in 1999 (ISO/IEC 9899:1999).

The C language standards with GNU extensions can be selected with the options `-std=gnu89` and `-std=gnu99`.